@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Exo:wght@200;400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Rubik&display=swap');

:root {
    --primaryColor: #003a58;
    --sesondColor: #ff854c;
    --otherColor: #c7c7c7;
    --otherColor2: #878787;
    --textColor: #515151;
    --whiteColor: #ffffff;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Exo', sans-serif;
    /* overflow-x: auto; */
}

html {
    scroll-behavior: smooth;
}


.mentors {
  background: rgba(0,58,88, 0.2);  
}
.supervisor {
  background: rgba(255,133,76,0.4);  
}

.custom_text {
    color: var(--otherColor1);
    font-family: 'Rubik', sans-serif;
}

/* NavBar */

.custom_navbar {
    background-color: var(--primaryColor)!important;
    box-shadow: 0px 6px 25px 6px rgba(0,0,0,0.5);
}

.cansat_text_logo {
    font-weight: bold;
}

.custom_nav_link {
    margin-right: 26px;
    position: relative;
    text-decoration: none;
    color: #ffffff;
}

.custom_nav_link::before {
    content: '';
    position: absolute;
    top: 90%;
    left: 0;
    width: 0%;
    height: 2px;
    background: var(--sesondColor);
    transition: .3s;
}

.custom_nav_link:hover {
    color: var(--sesondColor);
}

.custom_nav_link:hover::before {
    width: 100%;
}

.hamburger_color {
    filter: invert(1) grayscale(100%);
}

.custom_dropdown .dropdown-toggle {
    margin-right: 20px;
    height: 42px;
    border: none;
    border-radius: 10px;
    color: black;
    background-color: var(--otherColor);
}

.login_btn {
    border-radius: 10px;
    padding: 6px!important;
    padding-right: 20px!important;
    padding-left: 20px!important;
    margin-right: 30px;
    border: none;
    color: black;
    background-color: var(--sesondColor);
    transition: all 0.2s ease-in-out;
}

.login_btn:hover {
    color: var(--whiteColor);
    background-color: var(--sesondColor);
}

@media only screen and (max-width: 1000px) {
    .nav-link {
        text-align: center;
        margin: 0 auto;
        width: 40%;
    }

    .login_btn {
        margin-bottom: 20px!important;
    }

    .custom_dropdown {
        text-align: center;
        margin-bottom: 12px;
    }

    .custom_dropdown button {
        margin: 0!important;
    }
  }

/* len pre prihlasenych */
#addArticleInput {
    border: none;
    background-color: var(--primaryColor);
    line-height: 2.4;
    margin-right: 60px;
}

@media only screen and (max-width: 1000px) {
    #addArticleInput {
        line-height: 2.4;
        margin-right: 0px;
    }
  }



/* Login form */
.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.popup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    width: 500px;
    height: 550px;
    border-radius: 20px;
    transform: translate(-50%, -50%);
    padding: 20px;
    color: black;
    background: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    z-index: 1000;
}

.login_header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 20px;
}

.form_close_btn {
    text-align: right;
    cursor: pointer;
    margin-right: 20px;
}

.login_heading {
    overflow: hidden;
    margin-bottom: 48px;
}

.form_flex {
    display: flex;
    flex-direction: column;
}

.form_flex p {
    font-size: 18px;
    text-align: center;
    margin: 0 auto;
    margin-top: 40px;
}

form {
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.myInput {
    border: 1px solid black;
    padding: 8px;
    margin-bottom: 30px;
}

#submit_btn_login {
    padding: 10px;
    margin: 20px;
    cursor: pointer;
    border: none;
    border-radius: 15px;
    width: 33%;
    align-self: center;
    color: black;
    background-color: var(--sesondColor);
    transition: all 0.2s ease-in-out;
}

#submit_btn_login:hover {
    color: var(--whiteColor);
    transform: scale(1.1);
}

#register_btn {
    padding: 10px;
    margin: 20px;
    cursor: pointer;
    border: none;
    border-radius: 15px;
    width: 33%;
    align-self: center;
    color: var(--whiteColor);
    background-color: #555555;
    transition: all 0.2s ease-in-out;
}

#register_btn:hover {
    color: black;
    background-color: var(--sesondColor);
    transform: scale(1.1);
}

/* Registracia form */
.overlay_reg {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.popup_reg {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    width: 500px;
    height: 720px;
    border-radius: 20px;
    transform: translate(-50%, -50%);
    padding: 20px;
    color: black;
    background: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    z-index: 1000;
}

.register_heading {
    overflow: hidden;
    margin-bottom: 18px;
}

#submit_btn_reg {
    padding: 10px;
    margin: 20px;
    cursor: pointer;
    border: none;
    border-radius: 15px;
    width: 33%;
    align-self: center;
    color: black;
    background-color: var(--sesondColor);
    transition: all 0.2s ease-in-out;
}

#submit_btn_reg:hover {
    color: var(--whiteColor);
    transform: scale(1.1);
}

/* Logout form */
.popup_logout {
    height: 300px;
}

@media only screen and (max-width: 600px) {
    .popup_logout {
        height: 280px!important;
    }
  }

/* Carousel */

.custom-carousel {
    padding: 0;
    margin: 0;
    margin-top: 60px;
}

/* Banner */

.custom_banner {
    background-color: var(--sesondColor);
    overflow-x: auto;
}

.banner_heading {
    font-family: 'Rubik', sans-serif;
    color: var(--whiteColor)
}

/* Greeting */

.greeting_box {
    text-align: center;
    font-size: 60px;
    margin-top: 90px;
}

/* Logos */

.custom_logos {
    margin-top: 80px;
    overflow-x: auto;
    overflow: hidden;
}

.logo {
    width: 230px;
}

.logo_wrapper {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}

#esa_logo_holder {
    line-height: 15;
}

/* Domov */

.domov_container_fluid {
    margin-top: 70px;
    background-color: var(--otherColor);
    overflow-x: auto;
}

.domov_heading {
    margin-top: 100px;
    font-size: 50px;
    font-weight: bold;
    color: var(--primaryColor);
    overflow: hidden;
}

/* Misie */

.misie_container{
    margin-top: 100px;
    overflow-x: auto;
}

.misie_heading {
    font-size: 50px;
    font-weight: bold;
    color: var(--primaryColor);
    overflow: hidden;
}

.card-heading {
    overflow: hidden;
    font-size: 30px;
    color: var(--primaryColor);
}

.misie_row {
    overflow: hidden;
}

/* Naše Tímy */

.timy_container_fluid {
    background-color: var(--sesondColor);
    overflow-x: auto;
}

.timy_heading {
    font-size: 50px;
    font-weight: bold;
    color: var(--primaryColor);
    overflow: hidden;
    margin-top: 50px;
    margin-bottom: 50px;
}

.team_heading {
    color: var(--primaryColor);
    font-size: 30px;
    overflow: hidden;
}

.team_ul {
    margin: 0 auto;
    padding: 0;
    font-size: 20px;
    text-align: center;
    overflow-x: auto;
}

/* Aktuality */

#aktuality {
    height: auto;
    overflow-x: auto;
}

#aktuality_heading {
    font-size: 50px;
    font-weight: bold;
    color: var(--primaryColor);
    overflow: hidden;
    margin-top: 50px;
    margin-bottom: 50px;
}

.noClanokText {
    text-align: center;
    font-size: 32px;
    margin: 0;
    margin-bottom: 50px;
}

.clanok_box {
    border: 1px solid var(--otherColor2);
    border-radius: 16px;
    padding: 26px;
    margin-bottom: 50px;
    word-wrap: break-word;
    white-space: normal;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

.clanok_box h3 {
    font-size: 34px;
    margin: 0;
}

.clanok_info {
    display: flex;
    gap: 10px;
}

.clanok_info h4 {
    font-size: 16px;
    color: var(--otherColor2);
    font-family: 'Rubik', sans-serif;
}

.vl {
    border-left: 1px solid var(--otherColor2);
    height: 20px
}

.clanok_text {
    margin: 0;
    margin-top: 20px;
    margin-right: 20px;
    width: 50%;
    text-align: justify;
}

.clanok_paragraf {
    display: flex;
    flex-direction: row;
}

@media only screen and (max-width: 991px) {
    .clanok_paragraf {
        flex-direction: column;
    }
    .clanok_text {
        width: 100%;
    }
    .clanok_img_holder {
        width: 100%!important;
        text-align: center;
    }
  }

.clanok_img {
    width: 100%;
    border-radius: 20px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
}

.clanok_img_holder {
    width: 50%;
    padding: 10px;
}

.vsetky_clanky_div {
    text-align: center;
    margin-bottom: 50px;
}

.vsetky_clanky_btn {
    width: 30%;
    margin: 0 auto;
    border: none;
    border-radius: px;
    background-color: var(--sesondColor);
    color: var(--whiteColor);
}

.vsetky_clanky_btn {
    width: 30%;
    margin: 0 auto;
    border: none;
    border-radius: 10px;
    background-color: var(--sesondColor);
    color: #000;
    transition: all 0.2s ease-in-out;
    font-size: 22px;
}

.vsetky_clanky_btn:hover {
    background-color: var(--otherColor2);
    color: var(--whiteColor);
    transform: scale(1.1);
}

@media only screen and (max-width: 770px) {
    .vsetky_clanky_btn {
        width: 60%;
        font-size: 16px;
    }
  }



/* Footer */

.footer_container {
    background-color: var(--primaryColor);
}

.logo_footer {
    width: 100px;
}

/* Responzivita */

@media only screen and (max-width: 600px) {
    .nav-link {
        width: 30%;
        text-align: center;
    }

    .nav-item {
        display: flex;
        justify-content: center;
    }

    .custom_nav_link {
        margin: 0;
    }

    .login_btn {
        width: 46%;
        margin: 0;
    }

    .logo {
        width: 120px;
    }

    #btn_drop_custom {
        margin: 0;
        margin-bottom: 12px;
    }

    #esa_logo_holder {
        line-height: 8;
    }

    .continue_btn {
        width: 100%!important;
    }

    /* FORMULARE */
    .myInput {
        margin-bottom: 24px;
    }
    
    .popup {
        width: 90%;
        height: 70%;
    }

    #register_btn {
        width: 70%;
        height: 70px;
        font-size: 24px;
    }

    #submit_btn_login {
        width: 70%;
        height: 70px;
        font-size: 24px;
    }

    .popup_reg {
        width: 90%;
        height: 85%;
    }

    #submit_btn_reg {
        width: 70%;
        height: 70px;
        font-size: 24px;
    }

  }



/* pridatclanok index */
  .custom_banner2 {
    margin-top: 62px;
  }

  .custom_banner2 h1 {
    padding-top: 30px!important;
  }

  @media only screen and (max-width: 600px) {
    .custom_banner2 {
        margin-top: 60px;
    }

    .custom_banner2 h1 {
        padding-top: 24px!important;
      }
  }

  .pridatClanokBox {
    padding-top: 50px;
    padding-bottom: 30px;
    margin: 0 auto;
    width: 80%;
  }

  #clanokForm :nth-child(1) {
    width: 50%;
  }

  @media only screen and (max-width: 1000px) {
    #clanokForm :nth-child(1) {
        width: 100%;
    }
  }

  #clanokForm :nth-child(2) {
    height: 300px;
  }

.add_img_text {
    margin-bottom: 12px;
    font-size: 22px;
    color: var(--otherColor2);
}

.img_info {
    color: var(--otherColor2);
    font-size: 14px;
}

/* clanokpridany index */
.overlay_clanok {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.popup_clanok {
    position: fixed;
    top: 50%;
    left: 50%;
    width: 60%;
    height: 280px;
    border-radius: 20px;
    transform: translate(-50%, -50%);
    padding: 20px;
    color: black;
    background: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    z-index: 1000;
}

.clanok_header {
    display: flex;
    justify-content: center;
}

.clanok_pridany_odkaz {
    text-align: center;
    width: 40%;
    margin: 0 auto;
}

.clanok_pridany_odkaz :first-child {
    height: 100%!important;
    width: 100%!important;
    margin: 0!important;
}

footer .row {
  display: none;
}

#cansat .row .col p {
    column-count: 2;
    column-gap: 2.5em;
    text-align: left;
}

@media only screen and (max-width: 1000px) {
    #clanokForm :nth-child(1) {
        width: 100%;
    }
    #cansat .row .col p {
      column-count: 1;
      text-align: left;
    }
}

.login_medzi_odkaz {
    text-align: center;
    width: 40%;
    margin: 0 auto;
}

.continue_btn {
    width: 100%!important;
    margin: 0!important;
}

@media only screen and (max-width: 600px) {
    .login_medzi_odkaz {
        margin: 0;
        width: 100%!important;
    }

    .continue_btn {
        margin: 0!important;
        width: 80%!important;
    }
}

/* index_aktuality index */
.vsetky_aktuality_heading {
    font-size: 64px!important;
    margin-bottom: 20px!important;
}

.vsetky_aktuality_podnadpis {
    text-align: center;
    color: var(--primaryColor);
    margin-bottom: 50px;
    font-size: 36px;
}

@media only screen and (max-width: 600px) {
    .vsetky_aktuality_heading {
        font-size: 50px!important;

    }
    
    .vsetky_aktuality_podnadpis {
        font-size: 22px;
    }
}

